Page MenuHomePhabricator

[analyzer] AnalysisDeclContext: Refactor and documentation
ClosedPublic

Authored by Charusso on Jan 27 2020, 6:35 PM.

Details

Summary

ScopeContext wanted to be a thing, but sadly it is dead code.

If you wish to continue the work in D19979, here was a tiny code which
could be reused, but that tiny and that dead, I felt that it is unneded.

Note: Other changes are truly uninteresting.

Diff Detail

Event Timeline

Charusso created this revision.Jan 27 2020, 6:35 PM
Charusso marked an inline comment as done.Jan 27 2020, 7:27 PM

There was a lot of dead code, nothing fancy to mention.

NoQ accepted this revision.Jan 28 2020, 1:34 PM

There was a lot of dead code, nothing fancy to mention.

Yeah, ScopeContext is dead, but it's more like not alive than already dead; there's a vision to actually make it a thing eventually (cf. D19979). I guess we could remove it if it bugs you - but pls comment about this on that revision so that anybody who picks up the work knew that there was some free code to grab.

This revision is now accepted and ready to land.Jan 28 2020, 1:34 PM
Charusso edited the summary of this revision. (Show Details)Mar 3 2020, 10:03 PM

Done, thanks! I will eventually document more. "Some day"... jk.

This revision was automatically updated to reflect the committed changes.